# SDL Visual Test: SDLVisualTest_Action Struct Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_Action Struct Reference

`#include <SDL_visualtest_action_configparser.h>`

## Data Fields

SDLVisualTest_ActionType | type
int | time
union {
struct {
char * path
char * args
} process
} | extra

## Detailed Description

Struct that defines an action that will be performed on the SUT process at a specific time.

## Field Documentation

union { ... } extra

Any additional information needed to perform the action.

struct { ... } process

The path and arguments to the process to be launched

int time

The time, in milliseconds from the launch of the SUT, when the action will be performed

SDLVisualTest_ActionType type

The type of action to be performed

The documentation for this struct was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_action_configparser.h